DIFF3(1)

NUME
diff3 - compară trei fișiere linie cu linie

REZUMAT
diff3 [OPȚIUNE]... FIȘIERUL_MEU FIȘIER_VECHI FIȘIERUL_TĂU

DESCRIERE
Compară trei fișiere linie cu linie.

Argumentele obligatorii pentru opțiunile lungi sunt de asemenea obligatorii pentru opțiunile scurte.

-A, --show-all
    afișează toate modificările, închizând conflictele între paranteze

-e, --ed
    afișează un script ed(1) ce incorporează modificările dintre FIȘIERUL_VECHI și FIȘIERUL_TĂU în FIȘIERUL_MEU

-E, --show-overlap
    ca -e, dar închizând conflictele între paranteze

-3, --easy-only
    ca -e, dar încorporează doar modificările ce nu se suprapun

-x, --overlap-only
    ca -e, dar încorporează doar modificările ce se suprapun

-X  ca -x, dar închide conflictele între paranteze

-i  adaugă comenzile „w” și „q” la scripturile «ed»

-m, --merge
    afișează fișierul combinat, conform -A dacă nu sunt date alte opțiuni

-a, --text
    tratează toate fișierele ca fiind de text

--strip-trailing-cr
    elimină returul de caret din intrarea dată

-T, --initial-tab
    face ca tabulatorii să se alinieze, adăugând în față un tabulator

--diff-program=PROGRAM
    folosește PROGRAM pentru a compara fişierele

-L, --label=ETICHETĂ
    utilizează ETICHETA în loc de numele fișierului (poate fi repetat de până la trei ori)

--help
    afișează acest mesaj de ajutor și iese

-v, --version
    afișează informațiile despre versiune și iese

Formatul predefinit de ieșire este o reprezentare mai mult sau mai puțin lizibilă a modificărilor.

Opțiunile -e, -E, -x, -X (și corespondentele lor lungi) generează un script ed în locul rezultatului predefinit.

În cele din urmă, opțiunea -m/--merge face ca diff3 să efectueze îmbinarea intern și să afișeze fișierul îmbinat. Pentru anumite intrări, acest lucru este mai robust decât utilizarea lui ed.

Dacă un FIȘIER este „-”, se citește intrarea standard. Starea de ieșire este 0 dacă are succes, 1 dacă există conflicte și 2 dacă sunt probleme.

AUTOR
Scris de Randy Smith.

RAPORTAREA ERORILOR
Raportați erorile la: bug-diffutils@gnu.org
Pagina principală a GNU diffutils: https://www.gnu.org/software/diffutils/
Ajutor general pentru utilizarea software-ului GNU: https://www.gnu.org/gethelp/

DREPTURI DE AUTOR
Drepturi de autor © 2021 Free Software Foundation, Inc. Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>.
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

CONSULTAȚI ȘI
cmp(1), diff(1), sdiff(1)

Documentația completă pentru diff3 este menținută ca un manual Texinfo. Dacă programele info și diff3 sunt instalate corect pe sistemul dumneavoastră, comanda

    info diff3

ar trebui să vă permită accesul la manualul complet.

TRADUCERE
Traducerea în limba română a acestui manual a fost creată de Eugen Hoanca <eugenh@urban-grafx.ro>, Laurențiu Buzdugan <lbuz@rolix.org> și Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă Nicio RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.